UbixOS V2 2.0

Data Fields
ubthread_mutex_list Struct Reference

`#include <ubthread.h>`

Collaboration diagram for ubthread_mutex_list:

## Data Fields
ubthread_mutex_t * | mutex
struct ubthread_mutex_list * | next

## Detailed Description

Definition at line 68 of file ubthread.h.

## Field Documentation

## ◆ mutex

ubthread_mutex_t* ubthread_mutex_list::mutex

Definition at line 70 of file ubthread.h.

Referenced by sys_mutex_free(), sys_mutex_lock(), sys_mutex_new(), and sys_mutex_unlock().

## ◆ next

struct ubthread_mutex_list* ubthread_mutex_list::next

Definition at line 69 of file ubthread.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixos/ubthread.h